-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema bug
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `bug` ;

-- -----------------------------------------------------
-- Schema bug
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `bug` ;
SHOW WARNINGS;
USE `bug` ;

-- -----------------------------------------------------
-- Table `bug`.`bug`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `bug`.`bug` ;

SHOW WARNINGS;
CREATE TABLE IF NOT EXISTS `bug`.`bug` (
  `B` VARCHAR(5) NOT NULL,
  `C` VARCHAR(5) NULL,
  `A` VARCHAR(5) NULL,
  PRIMARY KEY (`B`))
ENGINE = InnoDB;

SHOW WARNINGS;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

-- -----------------------------------------------------
-- Data for table `bug`.`bug`
-- -----------------------------------------------------
START TRANSACTION;
USE `bug`;
INSERT INTO `bug`.`bug` (`B`, `C`, `A`) VALUES ('B1', 'C1', 'A1');
INSERT INTO `bug`.`bug` (`B`, `C`, `A`) VALUES ('B2', 'C2', 'A2');
INSERT INTO `bug`.`bug` (`B`, `C`, `A`) VALUES ('B3', 'C3', 'A3');
INSERT INTO `bug`.`bug` (`B`, `C`, `A`) VALUES ('B4', 'C4', 'A4');

COMMIT;

